Tools used by OpenStack Documentation
Nelze vybrat více než 25 témat Téma musí začínat písmenem nebo číslem, může obsahovat pomlčky („-“) a může být dlouhé až 35 znaků.
pengyuesheng 9fa71c6477 Update the constraints url před 1 měsícem
bin Cleanup doc-tools-check-languages před 3 měsíci
doc/source Merge "Remove some commented obsolete lines" před 3 měsíci
os_doc_tools Remove openstack-jsoncheck and openstack-indexpage před 2 měsíci
releasenotes Remove openstack-jsoncheck and openstack-indexpage před 2 měsíci
sitemap Update docs building před 3 měsíci
test Remove openstack-jsoncheck and openstack-indexpage před 2 měsíci
.gitignore Switch to stestr před 1 rokem
.gitreview OpenDev Migration Patch před 6 měsíci
.mailmap Add .mailmap před 5 roky
.stestr.conf Switch to stestr před 1 rokem
.zuul.yaml Add Python 3 Train unit tests před 4 měsíci
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements před 3 roky
HACKING.rst Fix URLs před 2 roky
LICENSE Add LICENSE and README.rst před 6 roky
README.rst Replace git.openstack.org URLs with opendev.org URLs před 6 měsíci
RELEASE_NOTES.rst Fix URLs před 2 roky
bindep.txt add lower-constraints job před 1 rokem
lower-constraints.txt Update docs building před 3 měsíci
requirements.txt Update docs building před 3 měsíci
setup.cfg Remove openstack-jsoncheck and openstack-indexpage před 2 měsíci
setup.py Updated from global requirements před 2 roky
test-requirements.txt Update docs building před 3 měsíci
tox.ini Update the constraints url před 1 měsícem

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev